held back on upgrade

Bug #364136 reported by Michael Vogt
34
This bug affects 3 people
Affects Status Importance Assigned to Milestone
brasero (Ubuntu)
Invalid
Medium
Unassigned
Jaunty
Invalid
Medium
Unassigned
update-manager (Ubuntu)
Fix Released
Medium
Duki Veseli
Jaunty
Fix Released
Medium
Michael Vogt

Bug Description

Binary package hint: brasero

On intrepid->jaunty brasero is held-back because of the conflict against nautilus-cd-burner.

TEST CASE:
1. perform a normal intrepid->jaunty upgrade
2. open a terminal and check that "dpkg -l brasero|more" shows the 0.8.2 version
3. restore the intrepid image
4. run a "update-manager --proposed" upgrade
5. check via "dpkg -l brasero|more" that the version of brasero is 2.26

Revision history for this message
Michael Vogt (mvo) wrote :

I added code in update-manager that works around the issue and ensures a brasero upgrade.

Changed in brasero (Ubuntu Jaunty):
importance: Undecided → Medium
status: New → Confirmed
Michael Vogt (mvo)
Changed in update-manager (Ubuntu Jaunty):
assignee: nobody → Michael Vogt (mvo)
importance: Undecided → Medium
status: New → Fix Committed
description: updated
Revision history for this message
Michael Vogt (mvo) wrote :
Revision history for this message
Michael Vogt (mvo) wrote :
Revision history for this message
Martin Pitt (pitti) wrote :

Accepted update-manager into jaunty-proposed-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Revision history for this message
Steve Beattie (sbeattie) wrote :

I have reproduced the behavior of brasero being held back by the conflict on nautilus-cd-creator when upgrading with update-manager 1:0.111.7, and that using the dist upgrade utility from update-manager in jaunty-proposed, 1:0.111.8, causes the newer version of brasero to get installed.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.111.8

---------------
update-manager (1:0.111.8) jaunty-proposed; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - add "grub" to the list of packages to keep installed
      (LP: #363465)
    - ensure brasero is upgraded (thanks to Chris Jones for
      the report) (LP: #364136)
    - ensure guidance-power-manager is removed on upgrade
      (LP: #364620)
  * DistUpgrade/DistUpgradeCache.py:
    - support DistUpgradeCache.markUpgrade()
  * DistUpgrade/mirrors.cfg:
    - add "mirror.files.bigpond.com" (thanks to wgrant)
  * debian/control:
    - build-depend on latest nvidia-common (LP: #363500) to ensure
      the nvidia-common if is included in the internal copy of
      u-m
  * DistUpgrade/DistUpgradeQuirks.py:
    - when the upgrade starts, remove old hal.postinst to prevent
      the trigger from running that causes network-manager to shutdown
      all connections (LP: #327053)
  * UpdateManager/Core/MetaRelease.py, UpdateManager/MetaReleaseGObject.py:
    - fix "no longer supported" message (LP: #364583)

 -- Michael Vogt <email address hidden> Mon, 20 Apr 2009 13:53:01 +0200

Changed in update-manager (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Revision history for this message
Kim Sullivan (alicebot) wrote :

Today I installed the new 1:0.111.8 update-manager, restarted my computer, and I still have the brasero burning program in my "distribution upgrades" list, grayed out, without the option to install it. Is there something else I have to do to get brasero to update?

Revision history for this message
Lucas Mundim (lucas.mundim) wrote :

It's a hack, but I fix the problem executing:

# sudo /etc/init.d/uml-utilities stop
# sudo apt-get upgrade

I don't no why this happen, but this commands do the job.

Revision history for this message
Tobias Axelsson Heia (merald) wrote :

There is no /etc/init.d/uml-utilities in standard installation.

I have same problem as Kim, something more that have to be done?

Revision history for this message
Tobias Axelsson Heia (merald) wrote :

I don't know if i am alone with this, but for me it is one more package that is exactly the same greyed out as brasero, "gstreamer0.10-plugins-bad".

Revision history for this message
Bob Sleys (bsleys) wrote :

Add me to the list with brasero being grayed out. I'm running 64 bit if that has anything to do with it.

Revision history for this message
Rene Lindsay (rjklindsay) wrote :

Under update manager, I see "brasero" and "gstreamer0.10-plugins-bad" grayed out, same as Tobias. Im not sure what this means and what I should do about it.
I find that any data DVD's I burn with brasero are unreadable, and have to be binned.
Nero (under Windows) works though, so I know its not a hardware problem.
Therefore I may as well get rid of brasero and look for a alternative.

Revision history for this message
Steve Beattie (sbeattie) wrote : Re: [Bug 364136] Re: held back on upgrade

On Thu, Apr 30, 2009 at 08:54:54AM -0000, rjklindsay wrote:
> Under update manager, I see "brasero" and "gstreamer0.10-plugins-bad" grayed out, same as Tobias. Im not sure what this means and what I should do about it.
> I find that any data DVD's I burn with brasero are unreadable, and have to be binned.
> Nero (under Windows) works though, so I know its not a hardware problem.
> Therefore I may as well get rid of brasero and look for a alternative.

I believe if you run "sudo update-manager --dist-upgrade", it will fix
these up for you; the issue with jaunty's brasero is that it conflicts
with nautilus-cd-burner, which needs to be removed (as well as an
additional library installed) and update-manager by default won't do
this for you.

I'm not sure what the issue around gstreamer0.10-plugins-bad is, can you
report the output of:

  apt-cache policy gstreamer0.10-plugins-bad

as well as the output of

  sudo apt-get -s install gstreamer0.10-plugins-bad"

(as long as the -s option is given to apt-get, it will only not perform
any actions, but will report what actions it would have taken.)

Thanks!

--
Steve Beattie
<email address hidden>
http://NxNW.org/~steve/

Revision history for this message
kulturfenster (kulturfenster) wrote :

"sudo update-manager --dist-upgrade" didn't work (see attachment). However, removing manually "nautilus-cd-burner" did the job.

$ sudo apt-get remove nautilus-cd-burner
$ sudo apt-get dist-upgrade

and everything's fine! :)

Revision history for this message
Steve Beattie (sbeattie) wrote :

On Thu, Apr 30, 2009 at 10:32:46AM -0000, kulturfenster wrote:
> "sudo update-manager --dist-upgrade" didn't work (see attachment).

Yes, sorry, it wasn't until after I posted that that I noticed bug
366048
would prevent "update-manager --dist-upgrade" from completing;
there's a fix for that in jaunty-proposed that people are testing.

Thanks.

Revision history for this message
Randy (rbrickler) wrote :

Doing this:
$ sudo apt-get remove nautilus-cd-burner
$ sudo apt-get dist-upgrade
cleared the Brasero issue for me on my amd64 Jaunty desktop upgrade from 8.10

To clear the gstreamer0.10-plugins-bad, I opened up synaptic to poke around and see if I could find anything obvious. Synaptic had the package listed as upgradable, so I right clicked it and selected Upgrade the package and applied. It warned me that a package gstreamer0.10-fluendo-mpegmux would have to be uninstalled, so I let it uninstall it, and it upgraded my gstreamer0.10-plugins-bad.

Update manager is clear now.

Revision history for this message
mono1984 (jcereijo) wrote :

On mine it did worked with "sudo update-manager --dist-upgrade". An intrepid gone jaunty that was helding the update back, so thank guys. cheers.

Revision history for this message
kimberlite (kimberlite) wrote :

Hello, I just want to join to the previous post: "sudo update-manager --dist-upgrade" solved mine problem too. Thanks.

tags: added: iso-testing
Revision history for this message
Michael Vogt (mvo) wrote :

This is part of u-m trunk so I close this bugtask.

Changed in update-manager (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Ted Pomeroy (ted-pome) wrote :

Michael, Thank you. Ted P.

On Wed, Feb 16, 2011 at 10:00 AM, Michael Vogt <email address hidden>wrote:

> This is part of u-m trunk so I close this bugtask.
>
> ** Changed in: update-manager (Ubuntu)
> Status: Fix Committed => Fix Released
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/364136
>
> Title:
> held back on upgrade
>
> Status in “brasero” package in Ubuntu:
> Confirmed
> Status in “update-manager” package in Ubuntu:
> Fix Released
> Status in “brasero” source package in Jaunty:
> Confirmed
> Status in “update-manager” source package in Jaunty:
> Fix Released
>
> Bug description:
> Binary package hint: brasero
>
> On intrepid->jaunty brasero is held-back because of the conflict
> against nautilus-cd-burner.
>
> TEST CASE:
> 1. perform a normal intrepid->jaunty upgrade
> 2. open a terminal and check that "dpkg -l brasero|more" shows the 0.8.2
> version
> 3. restore the intrepid image
> 4. run a "update-manager --proposed" upgrade
> 5. check via "dpkg -l brasero|more" that the version of brasero is 2.26
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/brasero/+bug/364136/+subscribe
>

Duki Veseli (dukiveseli)
Changed in update-manager (Ubuntu):
assignee: Michael Vogt (mvo) → Duki Veseli (dukiveseli)
Revision history for this message
JC Hulce (soaringsky) wrote :

This bug represents a specific situation in Ubuntu. This situation does not happen on newer releases, and the underlying issues have been fixed. The releases where this bug was found are EOL. Thus, I am closing this bug.

Changed in brasero (Ubuntu):
status: Confirmed → Invalid
Changed in brasero (Ubuntu Jaunty):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers